#################################################################################
#                                                                               #
#                       copyright (c) 2003 Ingeniweb SARL                       #
#                                                                               #
#################################################################################

"""Plone Minimal Product"""

from global_symbols import *

from Products.CMFCore.DirectoryView import registerDirectory
from Products.CMFCore import utils, CMFCorePermissions

import MinimalFolderishType
import MinimalContentType

registerDirectory('skins', globals())
registerDirectory('skins/PloneMinimalProduct', globals())

install_globals = globals()          # Used only in the Extensions/Install.py script


# Classes & constructors declaration
contentClasses = (MinimalFolderishType.MinimalFolderishType, MinimalContentType.MinimalContentType, )
contentConstructors = (MinimalFolderishType.addMinimalFolderishType, MinimalContentType.addMinimalContentType, )


# Initialization method
def initialize(context):
    utils.ContentInit(
        'A simple folderish type',
        content_types = contentClasses,
        permission = MinimalFolderishType_addPermission,                # $$$ THESE PERMISSIONS SHOULD BE FACTORIZED INTO A COMMON ONE FOR ALL CONTENT CLASSES
        extra_constructors = contentConstructors,
        fti = (MinimalFolderishType.factory_type_information,),
        ).initialize(context)
